AC_PREREQ([2.69])
AC_INIT([v.lecomte-raid-dossard],[0.0.1],[victor.lecomte@bts-malraux.net])
AM_INIT_AUTOMAKE([foreign -Wall -Werror])
AC_CONFIG_SRCDIR([src/main.cpp])
#Check for programs
AC_PROG_CXX

# Checks for libraries.
PKG_CHECK_MODULES([LIBPQ], [libpq >= 9.6.15])
PKG_CHECK_MODULES([TCLAP], [tclap >= 1.1.2])

AC_CONFIG_FILES([
  Makefile
  src/Makefile
])
                 
AC_OUTPUT
